---
layout: docs
title: Jumbotron
group: components
---

[//]: # DO NOT EDIT IT WILL BE OVERWRITTEN - copy of bootstrap documentation generated by grunt docs-copy-bootstrap-docs

{% callout info %}
**Bootstrap Reference Documentation** 
This is a part of the reference documentation from <a href="http://getbootstrap.com">Bootstrap</a>. 
It is included here to demonstrate rendering with Material Design for Bootstrap default styling. 
See the <a href="/material-design/buttons">Material Design</a> section for more elements and customization options.
{% endcallout %}



A lightweight, flexible component that can optionally extend the entire viewport to showcase key marketing messages on your site.

## Example

{% example html %}
<div class="jumbotron">
  <h1 class="display-3">Hello, world!</h1>
  <p class="lead">This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>
  <hr class="m-y-2">
  <p>It uses utility classes for typography and spacing to space content out within the larger container.</p>
  <p class="lead">
    <a class="btn btn-primary btn-lg" href="#" role="button">Learn more</a>
  </p>
</div>
{% endexample %}

To make the jumbotron full width, and without rounded corners, add the `.jumbotron-fluid` modifier class and add a `.container` or `.container-fluid` within.

{% example html %}
<div class="jumbotron jumbotron-fluid">
  <div class="container">
    <h1 class="display-3">Fluid jumbotron</h1>
    <p class="lead">This is a modified jumbotron that occupies the entire horizontal space of its parent.</p>
  </div>
</div>
{% endexample %}
